import { AbstractRepository } from '@crosslab/service-common';
import { PeerconnectionModel } from '../model.js';
export class PeerconnectionRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Peerconnection');
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(PeerconnectionModel);
    }
    async write(model, data) {
        model.url = data;
    }
    async format(model) {
        return model.url;
    }
}
//# sourceMappingURL=peerconnection.js.map